

$primary-color: #95b700;
$secondary-color: #708a00;
$general-font-color: #212529;
$font_header: #ffffff;
$sidebar: #333;
$font-color-sidebar: #ffffff;
$icon-sidenav-color: #95b700;

body.class-name{
    color: $general-font-color;
    a,
    a:hover {
        color: $general-font-color;
    }

    .btn {
        background-color: $primary-color;
    }

    .theme-button {
        background-color: $primary-color;
    }

    .theme-button-line {
        border: 1px solid $primary-color;
        color: $primary-color;
    }

    .theme-button:hover {
        background-color: $secondary-color;
    }

    ul.slick-dots li button {
        background-color: $primary-color;
    }

    .share-button {
        li {
            a {
                background-color: $primary-color;
            }
        }
    }

    .form-control:focus {
        border-color: $primary-color;
    }

    .preloading .wrap-preload {
        background-color: $primary-color;
    }

    .bg-header {
        background-color: $primary-color;
    }

    .navbar {
        .logo,
        #sidebarleftbutton.btn,
        #sidebarrightbutton.btn {
            color: $font_header;
        }
    }

    .sdprofile {
        .sdp-right {
            .sd-name {
                color: #ffffff;
            }
        }
    }

    #sidebarleft {
        background-color: $sidebar;
        a,
        a:hover {color: $font-color-sidebar;
        }
        .svg-inline--fa {
            color: #ffffff;
        }
        ul .svg-inline--fa {
            color: $icon-sidenav-color;
        }
    }

    #sidebarleft .sidebar-header {
        background-color: $primary-color;
    }

    #sidebarright {
        background-color: $sidebar;
        a,
        a:hover {color: $font-color-sidebar;
        }
        ul li .fas,
        ul li .svg-inline--fa {
            color: $icon-sidenav-color;
        }
    }

    .section-home .sa-title {
        color: $general-font-color;
    }

    .recipe-author {
        .author-box {
            .author-img {
                border: 2px solid $primary-color;
            }
        }
    }

    .section-home.home-news {
        .home-news-wrap {
            .news-item {
                .news-content {
                    .hnw-desc {
                        .more {
                            color: $primary-color;
                        }
                    }
                }
            }
        }
    }

    .section-subscribe {
        .subcontainer {
            .section-title {
                color: $primary-color;
            }

            .submitsub {
                background-color: $primary-color;
                border: 1px solid $primary-color;
            }
        }

        .mail-subscribe-box input {
            border: 1px solid $primary-color;
        }

        .mail-subscribe-box i {
            color: $primary-color;
            border: 1px solid $primary-color;
        }
    }

    .wrap-list-rc {
        .lrc-item {
            .lrc-content {
                .lrc-desc {
                    .more {
                        color: $primary-color;
                    }
                }
            }
        }
    }

    .author-list-section {
        .wrap-list-rc {
            .lrc-item {
                .lrc-content {
                    .lrc-desc {
                        .lrc-title {
                            color: $primary-color;
                        }

                        .more {
                            color: $primary-color;
                        }
                    }
                }
            }
        }
    }
    .login-section{ 
        .fb-text-heading {
            color: $primary-color;
        }
    }
    
    .register-section {
        .fb-text-heading {
            color: $primary-color;
        }
    }

    .wrap-pagination {
        .page-link {
            color: $general-font-color;
        }

        .page-item.active {
            .page-link {
                background-color: $primary-color;
                border-color: $primary-color;
            }
        }
    }

    .gallery-section {
        .filter-button {
            color: $primary-color;
        }

        .filter-button.active {
            color: $secondary-color;
        }
    }

    .section-news-list {
        .home-news-wrap {
            .news-item {
                .news-content {
                    .hnw-desc {
                        .more {
                            color: $primary-color;
                        }
                    }
                }
            }
        }
    }

    .section-profile {
        .proname {
            color: $primary-color;
        }

        .content-from {
            .wrap-list-rc {
                .lrc-item {
                    .lrc-content {
                        .lrc-desc {
                            .more {
                                color: $primary-color;
                            }
                        }
                    }
                }
            }
        }

        .socmed {
            .socmed-line {
                .socmed-item {
                    background-color: $primary-color;
                }
            }
        }

        .count {
            color: $primary-color;
        }
    }

    .footer {
        background-color: $primary-color;

        .socmed {
            .socmed-line {
                .socmed-item {
                    color: $primary-color;

                    .si-icon {
                        color: $primary-color;
                    }
                }
            }
        }
    }
}